# hey Emacs, its -*- rpm-spec -*-
# $Id: php-xslt,v 1.10 2002/11/13 03:05:37 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################
#  <Configuration>
#_/---------------\____________________________________________
# Package should be added into mod_php and/or console php?
# Some modules can be used under both, others (like php_gtk
# or midgard) are not.
%define 	use_mod_php	1
%define		use_con_php	1
#
# Package name without php prefix
%define		package_name	xslt
###############################################################

Name:	 	php-%package_name
Version:	4.3.0
Release:	alt0.cvs20030207
Group:		System/Servers
Requires:	glibc, libsablotron
License:	PHP Licence
Prereq:		php-common >= 1:%version-%release
# Automatically added by buildreq on Fri Nov 29 2002
BuildRequires: php-devel >= 1:%version-%release
BuildRequires: glibc-devel-static libexpat-devel libsablotron-devel 

Summary:	Sablotron XSLT support for PHP4
%add_serial php-devel
Obsoletes: php-sablotron < 4.1.0
Provides: php-sablotron = 1:%version-%release

Patch: php-xslt-iconv.patch

%description
The php-%package_name includes a dynamic shared object (DSO) that adds
XSLT support to PHP4. Sablotron is a fast, compact and portable XSLT processor.
If you need XSLT support for PHP4 applications, you will need
to install this package in addition to the php package.

%prep
%setup -T -c
cp -pr /usr/src/php-devel/extensions/%package_name/* .
%patch -p1

%build
phpize

BUILD_HAVE=`echo %package_name | tr '[:lower:]-' '[:upper:]_'`
# Note that we must compile it _without_ RPM-provided optimization flags
# due errors in code
CFLAGS="-fPIC -L%{_libdir}"
#"-DHAVE_${BUILD_HAVE}=1 -DCOMPILE_DL_${BUILD_HAVE}=1"; 
export CFLAGS  

%configure \
	    --with-%package_name-sablot=/usr \
	    --enable-%package_name \
	    --with-iconv \
	    --with-expat-dir=/usr
%php_make

%install
%php_make install

%clean

%files
%{_libdir}/php/extensions/*
%doc README.XSLT-BACKENDS TODO

%post
%php_postin

%preun
%php_preun

%postun
%php_postun

%changelog
* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes

* Wed Nov 13 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt5
- Fix permissions

* Sun Nov 10 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt4
- Rebuild with gcc 3.2.1
- Use macros from php-common to simplify spec file

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows fixes
- post install script fixed

* Thu Feb 28 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt1
- PHP 4.1.2
- Spec cleanups

* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes

* Fri Jun 15 2001 Rider <rider@altlinux.ru>
- first sablotron build for ALT Linux
